using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;
namespace GridListTest
{
    public partial class Form1 : Form
    {
        List<clsData> lstData;
        List<clsData> lstOutputData;
        
        private void Add(clsData objData)
        {
            lstOutputData.Add(objData);
            GLCOutput.DataSource = null;
            GLCOutput.DataSource = lstOutputData;
            GLCOutput.DisplayMember = "Name";
            GLCOutput.ValueMember = "Code";
            GLCOutput.Refresh();
        }

        public Form1()
        {
            InitializeComponent();
            lstData = new List<clsData>();
            lstOutputData = new List<clsData>();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            
            this.glcSample.Grid.HScrollPixel = true;
            glcSample.FillLastColumn = false; 
            GridControlBase.UseOldHiddenScrollLogic = true;
            this.glcSample.Grid.HScrollBehavior = GridScrollbarMode.Enabled;
            clsData objData1 = new clsData();
            objData1.Code = "1";
            objData1.Name = "This is a row";
            lstData.Add(objData1);
            
            clsData objData2 = new clsData();
            objData2.Code = "2";
            objData2.Name = "This is row 2";
            lstData.Add(objData2);
        }

        private void btnFilldata_Click(object sender, EventArgs e)
        {

            if (lstData != null)
            {
                glcSample.DataSource = lstData;
                glcSample.DisplayMember = "Name";
                glcSample.ValueMember = "Code";
                //glcSample.Refresh();
                //glcSample.Grid.ResetVolatileData();
            }
        }

        private void glcSample_Click(object sender, EventArgs e)
        {
            clsData objDat = (clsData)glcSample.SelectedItem;
            Add(objDat);
        }

        private void glcSample_SelectedValueChanged(object sender, EventArgs e)
        {
            //clsData objDat = (clsData)glcSample.SelectedItem;
            //Add(objDat);
        }

        
    }
    public class clsData
    {
        private string strName;
        private string strCode;

        public string Name
        {
            get
            {
                return strName;
            }
            set
            {
                strName = value;
            }
        }

        public string Code
        {
            get
            {
                return strCode;
            }
            set
            {
                strCode = value;
            }
        }
    }
}